<template lang="pug">
  md-card#presentationCard.text-left(v-if="showNewcomerWelcome")
    md-card-header
      md-card-header-text
        .md-title {{ getInstanceName }}
        .md-subhead(v-if="getInstanceSubjects") {{ $t('instance dedication', { subjects: getInstanceSubjects.map(subject => subject.name).join(', ') }) }}
        .md-subhead(v-else) {{ $t('instance generalist') }}
      nuxt-link(v-if="isAuthenticated && isAdministrator" :to="{ path: localePath('settings') + '#server-parameters' }")
        md-button.md-dense.md-icon-button(:md-ripple="false")
          md-icon edit
      md-button.md-dense.md-icon-button(:md-ripple="false" @click="() => $store.commit('instance/dismissNewcomerWelcome')")
        md-icon close

    md-card-content(v-if="getInstanceDescription") {{ getInstanceDescription }}

    md-card-actions(md-alignment="space-between")
      div
        md-button(@click="startTour") {{ $t('take a tour') }}
      div
        nuxt-link(:to="localePath('about')")
          md-button Instance info
      //-md-card-expand-trigger
        md-button.md-icon-button
          md-icon keyboard_arrow_down
</template>

<script>
import { mapState, mapGetters } from 'vuex'

export default {
  computed: {
    ...mapGetters('instance', [
      'getInstanceName',
      'getInstanceDescription',
      'getInstanceSubjects'
    ]),
    ...mapState('instance', ['showNewcomerWelcome']),
    ...mapState('auth', ['isAuthenticated']),
    ...mapGetters('user', ['isAdministrator'])
  },
  methods: {
    startTour() {
      this.$intro()
        // Callbacks for the IntroJS tour
        .oncomplete(() => {
          window.scrollTo(0, 0)
          // TODO: show modal with closing word.
        })
        .start()
    }
  }
}
</script>

<style scoped>
#presentationCard {
  display: grid;
  box-shadow: none;
  border: 0.05rem solid rgba(var(--color-primary), 1);
}
.md-card-actions {
  align-items: end;
}
</style>
